Skip to main content
`Ctrl`+`K`
scipy.stats._result_classes.

# BinomTestResult

class scipy.stats._result_classes.BinomTestResult(k, n, alternative, statistic, pvalue)

  Result of `scipy.stats.binomtest`.

  Attributes:
    k int

      The number of successes (copied from binomtest input).

    n int

      The number of trials (copied from binomtest input).

    alternative str

      Indicates the alternative hypothesis specified in the input to binomtest. It will be one of `'two-sided'`, `'greater'`, or `'less'`.

    statistic: float

      The estimate of the proportion of successes.

    pvalue float

      The p-value of the hypothesis test.

  Methods

  `proportion_ci`([confidence_level, method]) | Compute the confidence interval for `statistic`.